(defun C:test1 ()
;define function	

;;;*****************************************************
;;;This section sets up the dialogue box default settings.

  (if (not lngth)
  ;if no default

	(setq lngth "50.0")
        ;set a default value

  );if
  ;slider and slider edit box value

  (if (not letters)
  ;if no default

	(setq letters "ABC")
	;set default value
  );if

  (if (not toggle1)
  ;if no default

	(setq toggle1 "1")
	;set default value

  );if

  (if (not toggle2)
  ;if no default

	(setq toggle2 "0")
	;set default value

  );if
;;;**********************************************************

  (setq dcl_id (load_dialog "test1.dcl"))
  ;load dialog

  (if (not (new_dialog "test1" dcl_id)
  ;test for dialog

      );not

    (exit)
    ;exit if no dialog

  );if
;;;******************************************************************
;;;This section sets the dialogue box default values

  (set_tile "tog1" toggle1)
  ;set toggle

  (set_tile "tog2" toggle2)
  ;set toggle

  (set_tile "eb2" letters)
  ;put data into edit box

  (set_tile "eb1" lngth)
  ;put data into edit box

  (set_tile "myslider" lngth)
  ;set the slider

;;;*********************************************************************
;;;This section retrieves the dialogue box values

  (action_tile "myslider"
  ;if user moves slider

	 "(slider_action $value $reason)")
         ;pass arguments to slider_action

  (action_tile "eb1"
  ;if user enters slot length

	 "(ebox_action $value $reason)")
         ;pass arguments to ebox_action

  (defun slider_action (val why)
  ;define function

      (if (or (= why 2) (= why 1))
      ;check values

      (set_tile "eb1" val)))
      ;update edit box

  (defun ebox_action (val why)
  ;define function

      (if (or (= why 2) (= why 1))
      ;check values

      (set_tile "myslider" val)))
      ;update slider

   (action_tile "tog1"
   ;if toggle 1 selected

      "(setq toggle1 $value)"
       ;get the value

   );action_tile

   (action_tile "tog2"
   ;if toggle 2 selected

      "(setq toggle2 $value)"
       ;get the value

   );action_tile

   (action_tile
      "accept"	
      ;if O.K. pressed

      "(progn 
       ;do the following

      (setq lngth (get_tile \"eb1\"))
      ;get the edit box value

      (setq letters (get_tile \"eb2\"))
      ;get the slider value

       (done_dialog) (setq userclick T))"
       ;close dialog, set flag	
	
   );action tile

    (action_tile
    "cancel"
    ;if cancel button pressed

    "(done_dialog) (setq userclick nil)"	
    ;close dialog and clear flag

    );action_tile
;;********************************************************************

  (start_dialog)	
  ;start dialog
				
  (unload_dialog dcl_id)
  ;unload	

   (if userclick
   ;check O.K. was selected

      (alert (strcat "You Selected: " lngth " and " letters))			
      ;display the Day

  );if userclick

 (princ)

);defun

(princ)
