(defun C:test2 ()
;define function	

;;;*****************************************************
;;;This section retrieves the default data from the
;;;ACADR14.CFG file.


    (setq lngth (getcfg "AppData/CadKen/default1"))
    ;get the apllication data

       (if (= lngth nil)
      ;if it is nil

         (progn
         ;do the following
                 
	  (setcfg "AppData/CadKen/default1" "50.0")
	  ;set the default data 

          (setq lngth (getcfg "AppData/CadKen/default1"))
          ;retrieve the default data

         );progn 

      );if

    (setq letters (getcfg "AppData/CadKen/default2"))
    ;get the aplication data

       (if (= letters nil)
      ;if it is nil

         (progn
         ;do the following
                 
	  (setcfg "AppData/CadKen/default2" "ABC")
	  ;set the default data 

          (setq letters (getcfg "AppData/CadKen/default2"))
          ;retrieve the default data

         );progn 

      );if

  
    (setq toggle1 (getcfg "AppData/CadKen/default3"))
    ;get the apllication data

       (if (= toggle1 nil)
      ;if it is nil

         (progn
         ;do the following
                 
	  (setcfg "AppData/CadKen/default3" "1")
	  ;set the default data 

          (setq toggle1 (getcfg "AppData/CadKen/default3"))
          ;retrieve the default data

         );progn 

      );if

    (setq toggle2 (getcfg "AppData/CadKen/default4"))
    ;get the apllication data

       (if (= toggle2 nil)
      ;if it is nil

         (progn
         ;do the following
                 
	  (setcfg "AppData/CadKen/default4" "0")
	  ;set the default data 

          (setq toggle2 (getcfg "AppData/CadKen/default4"))
          ;retrieve the default data

         );progn 

      );if

;;;**********************************************************

  (setq dcl_id (load_dialog "test2.dcl"))
  ;load dialog

  (if (not (new_dialog "test2" dcl_id)
  ;test for dialog

      );not

    (exit)
    ;exit if no dialog

  );if
;;;******************************************************************
;;;This section sets the dialogue box default values

  (set_tile "tog1" toggle1)
  ;set toggle

  (set_tile "tog2" toggle2)
  ;set toggle

  (set_tile "eb2" letters)
  ;put data into edit box

  (set_tile "eb1" lngth)
  ;put data into edit box

  (set_tile "myslider" lngth)
  ;set the slider

;;;*********************************************************************
;;;This section retrieves the dialogue box values

  (action_tile "myslider"
  ;if user moves slider

	 "(slider_action $value $reason)")
         ;pass arguments to slider_action

  (action_tile "eb1"
  ;if user enters slot length

	 "(ebox_action $value $reason)")
         ;pass arguments to ebox_action

  (defun slider_action (val why)
  ;define function

      (if (or (= why 2) (= why 1))
      ;check values

      (set_tile "eb1" val)))
      ;update edit box

  (defun ebox_action (val why)
  ;define function

      (if (or (= why 2) (= why 1))
      ;check values

      (set_tile "myslider" val)))
      ;update slider

   (action_tile "tog1"
   ;if toggle 1 selected

      "(setq toggle1 $value)"
       ;get the value

   );action_tile

   (action_tile "tog2"
   ;if toggle 2 selected

      "(setq toggle2 $value)"
       ;get the value

   );action_tile

   (action_tile
      "accept"	
      ;if O.K. pressed

      "(progn 
       ;do the following

      (setq lngth (get_tile \"eb1\"))
      ;get the slider value

      (setq letters (get_tile \"eb2\"))
      ;get the edit box value

       (done_dialog) (setq userclick T))"
       ;close dialog, set flag	
	
   );action tile

    (action_tile
    "cancel"
    ;if cancel button pressed

    "(done_dialog) (setq userclick nil)"	
    ;close dialog and clear flag

    );action_tile
;;********************************************************************

  (start_dialog)	
  ;start dialog
				
  (unload_dialog dcl_id)
  ;unload	

   (if userclick
   ;check O.K. was selected
;;;*******************************************************************
;;;This section stores the data into the AACDR14.CFG file and displays
;;;them to the user.

    (progn

      (setcfg "AppData/CadKen/default1" lngth)
      ;store the data

      (setcfg "AppData/CadKen/default2" letters)
      ;store the data

      (setcfg "AppData/CadKen/default3" toggle1)
      ;store the data

      (setcfg "AppData/CadKen/default4" toggle2)
      ;store the data

      (alert (strcat "You Entered: " lngth " and " letters))			
      ;display the Data

    );progn

  );if userclick

 (princ)

);defun

(princ)
